Page MenuHomePhabricator

Make shorter timeout for Wikibase fetches
Closed, ResolvedPublic

Description

Due to the effects of T179156, some requests to Wikidata take inordinate amount of time (tens to hundreds of seconds), which blocks Updater progress. In this case, it may be better to abandon the bad requests and try again, since not all hosts are affected by the slowdown.

Details

Related Gerrit Patches:
wikidata/query/rdf : masterAdd timeout to Wikibase requests

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptOct 28 2017, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
hoo added a subscriber: hoo.Oct 28 2017, 7:55 PM
Smalyshev triaged this task as Medium priority.Jan 23 2018, 12:23 AM

Change 405825 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/rdf@master] Add timeout to Wikibase requests

https://gerrit.wikimedia.org/r/405825

Change 405825 merged by jenkins-bot:
[wikidata/query/rdf@master] Add timeout to Wikibase requests

https://gerrit.wikimedia.org/r/405825

Smalyshev closed this task as Resolved.Feb 15 2018, 1:33 AM
Smalyshev claimed this task.